Uploaded image for project: 'Bigtop'
  1. Bigtop
  2. BIGTOP-2832

Toolchain failed to install on Debian 8

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Blocker
    • Resolution: Fixed
    • Affects Version/s: 1.2.0
    • Fix Version/s: 1.2.1, 1.3.0
    • Component/s: toolchain
    • Labels:
      None

      Description

      Error when puppet apply executed:

      Error: os is not a hash or array when accessing it with release at /etc/puppet/modules/bigtop_toolchain/manifests/jdk.pp:20 on node 45f28166fed1.ec2.internal
      Error: os is not a hash or array when accessing it with release at /etc/puppet/modules/bigtop_toolchain/manifests/jdk.pp:20 on node 45f28166fed1.ec2.internal
      Removing intermediate container a653b9d1ebfe
      The command '/bin/sh -c apt-get clean && apt-get update && puppet apply -e "include bigtop_toolchain::installer"' returned a non-zero code: 1
      :bigtop-slaves FAILED
      

      Ref:
      https://ci.bigtop.apache.org/view/Docker/job/Docker-Toolchain-1.2.1/OS=debian-8/6/console

        Issue Links

          Activity

          Hide
          evans_ye Evans Ye added a comment -

          Committed to both 1.2 and master.

          Show
          evans_ye Evans Ye added a comment - Committed to both 1.2 and master.
          Hide
          githubbot ASF GitHub Bot added a comment -

          Github user evans-ye commented on the issue:

          https://github.com/apache/bigtop/pull/245

          Okay. Let me commit this first to unlock the release.

          Show
          githubbot ASF GitHub Bot added a comment - Github user evans-ye commented on the issue: https://github.com/apache/bigtop/pull/245 Okay. Let me commit this first to unlock the release.
          Hide
          githubbot ASF GitHub Bot added a comment -

          Github user c0s commented on the issue:

          https://github.com/apache/bigtop/pull/245

          +1

          Show
          githubbot ASF GitHub Bot added a comment - Github user c0s commented on the issue: https://github.com/apache/bigtop/pull/245 +1
          Hide
          githubbot ASF GitHub Bot added a comment -

          Github user evans-ye commented on the issue:

          https://github.com/apache/bigtop/pull/245

          I can't get puppet 4 to run on Debian-9 regardless of this patch. If you already have some experience playing around with Puppet 4, I'd love to make this patch more robust.

          This is required to have 1.2.1 slaves successfully built.
          Then, we can produce artifacts along with the release.

          Show
          githubbot ASF GitHub Bot added a comment - Github user evans-ye commented on the issue: https://github.com/apache/bigtop/pull/245 I can't get puppet 4 to run on Debian-9 regardless of this patch. If you already have some experience playing around with Puppet 4, I'd love to make this patch more robust. This is required to have 1.2.1 slaves successfully built. Then, we can produce artifacts along with the release.
          Hide
          githubbot ASF GitHub Bot added a comment -

          Github user c0s commented on the issue:

          https://github.com/apache/bigtop/pull/245

          We aren't supporting Debian-9 yet, right? Shall we worry about this once we are dealing with the new version?

          Show
          githubbot ASF GitHub Bot added a comment - Github user c0s commented on the issue: https://github.com/apache/bigtop/pull/245 We aren't supporting Debian-9 yet, right? Shall we worry about this once we are dealing with the new version?
          Hide
          githubbot ASF GitHub Bot added a comment -

          Github user oflebbe commented on the issue:

          https://github.com/apache/bigtop/pull/245

          does it break debian-9?

          Show
          githubbot ASF GitHub Bot added a comment - Github user oflebbe commented on the issue: https://github.com/apache/bigtop/pull/245 does it break debian-9?
          Hide
          githubbot ASF GitHub Bot added a comment -

          GitHub user evans-ye opened a pull request:

          https://github.com/apache/bigtop/pull/245

          BIGTOP-2832. Toolchain failed to install on Debian 8

          You can merge this pull request into a Git repository by running:

          $ git pull https://github.com/evans-ye/bigtop BIGTOP-2832

          Alternatively you can review and apply these changes as the patch at:

          https://github.com/apache/bigtop/pull/245.patch

          To close this pull request, make a commit to your master/trunk branch
          with (at least) the following in the commit message:

          This closes #245


          commit ca5ee25c2f5f59f2828e48697511624343a8c7ea
          Author: Evans Ye <evansye@apache.org>
          Date: 2017-07-05T06:42:54Z

          BIGTOP-2832. Toolchain failed to install on Debian 8


          Show
          githubbot ASF GitHub Bot added a comment - GitHub user evans-ye opened a pull request: https://github.com/apache/bigtop/pull/245 BIGTOP-2832 . Toolchain failed to install on Debian 8 You can merge this pull request into a Git repository by running: $ git pull https://github.com/evans-ye/bigtop BIGTOP-2832 Alternatively you can review and apply these changes as the patch at: https://github.com/apache/bigtop/pull/245.patch To close this pull request, make a commit to your master/trunk branch with (at least) the following in the commit message: This closes #245 commit ca5ee25c2f5f59f2828e48697511624343a8c7ea Author: Evans Ye <evansye@apache.org> Date: 2017-07-05T06:42:54Z BIGTOP-2832 . Toolchain failed to install on Debian 8

            People

            • Assignee:
              evans_ye Evans Ye
              Reporter:
              evans_ye Evans Ye
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Development